Index: /trunk/admin/photos_add_direct.php
===================================================================
--- /trunk/admin/photos_add_direct.php	(revision 25017)
+++ /trunk/admin/photos_add_direct.php	(revision 25018)
@@ -44,10 +44,7 @@
   foreach (explode(',', $_GET['batch']) as $image_id)
   {
-    array_push(
-      $inserts,
-      array(
-        'user_id' => $user['id'],
-        'element_id' => $image_id,
-        )
+    $inserts[] = array(
+      'user_id' => $user['id'],
+      'element_id' => $image_id,
       );
   }
Index: /trunk/admin/picture_modify.php
===================================================================
--- /trunk/admin/picture_modify.php	(revision 25017)
+++ /trunk/admin/picture_modify.php	(revision 25018)
@@ -105,5 +105,5 @@
 {
   sync_metadata(array( intval($_GET['image_id'])));
-  array_push($page['infos'], l10n('Metadata synchronized from file'));
+  $page['infos'][] = l10n('Metadata synchronized from file');
 }
 
@@ -121,5 +121,5 @@
     )
   {
-    array_push($page['errors'], l10n('wrong date'));
+    $page['errors'][] = l10n('wrong date');
   }
 }
@@ -204,5 +204,5 @@
   $represent_options_selected = $_POST['represent'];
   
-  array_push($page['infos'], l10n('Photo informations updated'));
+  $page['infos'][] = l10n('Photo informations updated');
 }
 
Index: /trunk/admin/plugins_installed.php
===================================================================
--- /trunk/admin/plugins_installed.php	(revision 25017)
+++ /trunk/admin/plugins_installed.php	(revision 25018)
@@ -65,5 +65,5 @@
   if (!is_webmaster())
   {
-    array_push($page['errors'], l10n('Webmaster status is required.'));
+    $page['errors'][] = l10n('Webmaster status is required.');
   }
   else
@@ -91,5 +91,5 @@
   {
     if ($plugin == '~~expire~~') continue;
-    array_push($incompatible_plugins, $plugin);
+    $incompatible_plugins[] = $plugin;
     
   }
@@ -153,5 +153,5 @@
   }
 
-  array_push($tpl_plugins, $tpl_plugin);
+  $tpl_plugins[] = $tpl_plugin;
 }
 
@@ -171,15 +171,12 @@
 if (count($missing_plugin_ids) > 0)
 {
-  foreach($missing_plugin_ids as $plugin_id)
-  {
-    array_push(
-      $tpl_plugins,
-      array(
-        'NAME' => $plugin_id,
-        'VERSION' => $plugins->db_plugins_by_id[$plugin_id]['version'],
-        'DESC' => l10n('ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'),
-        'U_ACTION' => sprintf($action_url, $plugin_id),
-        'STATE' => 'missing',
-        )
+  foreach ($missing_plugin_ids as $plugin_id)
+  {
+    $tpl_plugins[] = array(
+      'NAME' => $plugin_id,
+      'VERSION' => $plugins->db_plugins_by_id[$plugin_id]['version'],
+      'DESC' => l10n('ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'),
+      'U_ACTION' => sprintf($action_url, $plugin_id),
+      'STATE' => 'missing',
       );
   }
Index: /trunk/admin/plugins_new.php
===================================================================
--- /trunk/admin/plugins_new.php	(revision 25017)
+++ /trunk/admin/plugins_new.php	(revision 25018)
@@ -40,5 +40,5 @@
   if (!is_webmaster())
   {
-    array_push($page['errors'], l10n('Webmaster status is required.'));
+    $page['errors'][] = l10n('Webmaster status is required.');
   }
   else
@@ -58,25 +58,23 @@
   {
     case 'ok':
-      array_push($page['infos'],
-        l10n('Plugin has been successfully copied'),
-        l10n('You might go to plugin list to install and activate it.'));
+      $page['infos'][] = l10n('Plugin has been successfully copied');
+      $page['infos'][] = l10n('You might go to plugin list to install and activate it.');
       break;
 
     case 'temp_path_error':
-      array_push($page['errors'], l10n('Can\'t create temporary file.'));
+      $page['errors'][] = l10n('Can\'t create temporary file.');
       break;
 
     case 'dl_archive_error':
-      array_push($page['errors'], l10n('Can\'t download archive.'));
+      $page['errors'][] = l10n('Can\'t download archive.');
       break;
 
     case 'archive_error':
-      array_push($page['errors'], l10n('Can\'t read or extract archive.'));
+      $page['errors'][] = l10n('Can\'t read or extract archive.');
       break;
 
     default:
-      array_push($page['errors'],
-        l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus'])),
-        l10n('Please check "plugins" folder and sub-folders permissions (CHMOD).'));
+      $page['errors'][] = l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus']));
+      $page['errors'][] = l10n('Please check "plugins" folder and sub-folders permissions (CHMOD).');
   }  
 }
@@ -136,5 +134,5 @@
 else
 {
-  array_push($page['errors'], l10n('Can\'t connect to server.'));
+  $page['errors'][] = l10n('Can\'t connect to server.');
 }
 
Index: /trunk/admin/rating.php
===================================================================
--- /trunk/admin/rating.php	(revision 25017)
+++ /trunk/admin/rating.php	(revision 25018)
@@ -195,5 +195,5 @@
 while ($row = pwg_db_fetch_assoc($result))
 {
-  array_push($images, $row);
+  $images[] = $row;
 }
 
Index: /trunk/admin/site_manager.php
===================================================================
--- /trunk/admin/site_manager.php	(revision 25017)
+++ /trunk/admin/site_manager.php	(revision 25018)
@@ -76,6 +76,5 @@
   if ($row['count'] > 0)
   {
-    array_push($page['errors'],
-      l10n('This site already exists').' ['.$url.']');
+    $page['errors'][] = l10n('This site already exists').' ['.$url.']';
   }
   if (count($page['errors']) == 0)
@@ -83,6 +82,5 @@
     if ( ! file_exists($url) )
     {
-      array_push($page['errors'],
-        l10n('Directory does not exist').' ['.$url.']');
+      $page['errors'][] = l10n('Directory does not exist').' ['.$url.']';
     }
   }
@@ -97,6 +95,5 @@
 ;';
     pwg_query($query);
-    array_push($page['infos'],
-               $url.' '.l10n('created'));
+    $page['infos'][] = $url.' '.l10n('created');
   }
 }
@@ -122,6 +119,5 @@
     {
       delete_site($page['site']);
-      array_push($page['infos'],
-                 $galleries_url.' '.l10n('deleted'));
+      $page['infos'][] = $galleries_url.' '.l10n('deleted');
       break;
     }
Index: /trunk/admin/site_reader_local.php
===================================================================
--- /trunk/admin/site_reader_local.php	(revision 25017)
+++ /trunk/admin/site_reader_local.php	(revision 25018)
@@ -53,10 +53,7 @@
   if (!is_dir($this->site_url))
   {
-    array_push(
-      $errors,
-      array(
-        'path' => $this->site_url,
-        'type' => 'PWG-ERROR-NO-FS'
-        )
+    $errors[] = array(
+      'path' => $this->site_url,
+      'type' => 'PWG-ERROR-NO-FS'
       );
 
@@ -109,10 +106,10 @@
         }
       }
-      elseif (is_dir($path.'/'.$node)
+      else if (is_dir($path.'/'.$node)
                and $node != 'pwg_high'
                and $node != 'pwg_representative'
                and $node != 'thumbnail' )
       {
-        array_push($subdirs, $node);
+        $subdirs[] = $node;
       }
     } //end while readdir
Index: /trunk/admin/site_update.php
===================================================================
--- /trunk/admin/site_update.php	(revision 25017)
+++ /trunk/admin/site_update.php	(revision 25018)
@@ -200,5 +200,5 @@
   if (isset($_POST['cat']))
   {
-    array_push($fs_fulldirs, $basedir);
+    $fs_fulldirs[] = $basedir;
   }
   // If $_POST['subcats-included'] != 1 ("Search in sub-albums" is unchecked)
@@ -254,8 +254,6 @@
       }
 
-      array_push($inserts, $insert);
-      array_push(
-        $infos,
-        array(
+      $inserts[] = $insert;
+      $infos[] = array(
           'path' => $fulldir,
           'info' => l10n('added')
@@ -278,10 +276,7 @@
     else
     {
-      array_push(
-        $errors,
-        array(
-          'path' => $fulldir,
-          'type' => 'PWG-UPDATE-1'
-          )
+      $errors[] = array(
+        'path' => $fulldir,
+        'type' => 'PWG-UPDATE-1'
         );
     }
@@ -327,4 +322,5 @@
               $granted_grps[$row['cat_id']]=array();
             }
+            // TODO: explanaition
             array_push(
               $granted_grps,
@@ -350,4 +346,5 @@
               $granted_users[$row['cat_id']]=array();
             }
+            // TODO: explanaition
             array_push(
               $granted_users,
@@ -373,11 +370,8 @@
               foreach ($granted_grps[$parent_id] as $granted_grp)
               {
-                array_push(
-                  $insert_granted_grps,
-                  array(
-                    'group_id' => $granted_grp,
-                    'cat_id' => $ids
-                  )
-                );
+                $insert_granted_grps[] = array(
+                  'group_id' => $granted_grp,
+                  'cat_id' => $ids
+                  );
               }
             }
@@ -386,22 +380,16 @@
               foreach ($granted_users[$parent_id] as $granted_user)
               {
-                array_push(
-                  $insert_granted_users,
-                  array(
-                    'user_id' => $granted_user,
-                    'cat_id' => $ids
-                  )
-                );
+                $insert_granted_users[] = array(
+                  'user_id' => $granted_user,
+                  'cat_id' => $ids
+                  );
               }
             }
             foreach (get_admins() as $granted_user)
             {
-              array_push(
-                $insert_granted_users,
-                array(
-                  'user_id' => $granted_user,
-                  'cat_id' => $ids
-                )
-              );
+              $insert_granted_users[] = array(
+                'user_id' => $granted_user,
+                'cat_id' => $ids
+                );
             }
           }
@@ -421,11 +409,17 @@
 
   // to delete categories
-  $to_delete = array(); $to_delete_derivative_dirs = array();
+  $to_delete = array();
+  $to_delete_derivative_dirs = array();
+  
   foreach (array_diff(array_keys($db_fulldirs), $fs_fulldirs) as $fulldir)
   {
-    array_push($to_delete, $db_fulldirs[$fulldir]);
+    $to_delete[] = $db_fulldirs[$fulldir];
     unset($db_fulldirs[$fulldir]);
-    array_push($infos, array('path' => $fulldir,
-                             'info' => l10n('deleted')));
+    
+    $infos[] = array(
+      'path' => $fulldir,
+      'info' => l10n('deleted')
+      );
+      
     if (substr_compare($fulldir, '../', 0, 3)==0)
     {
@@ -434,4 +428,5 @@
     $to_delete_derivative_dirs[] = PHPWG_ROOT_PATH.PWG_DERIVATIVE_DIR.$fulldir;
   }
+  
   if (count($to_delete) > 0)
   {
@@ -506,10 +501,7 @@
     if (!preg_match($conf['sync_chars_regex'], $filename))
     {
-      array_push(
-        $errors,
-        array(
-          'path' => $path,
-          'type' => 'PWG-UPDATE-1'
-          )
+      $errors[] = array(
+        'path' => $path,
+        'type' => 'PWG-UPDATE-1'
         );
 
@@ -533,23 +525,14 @@
     }
 
-    array_push(
-      $inserts,
-      $insert
+    $inserts[] = $insert;
+
+    $insert_links[] = array(
+      'image_id'    => $insert['id'],
+      'category_id' => $insert['storage_category_id'],
       );
 
-    array_push(
-      $insert_links,
-      array(
-        'image_id'    => $insert['id'],
-        'category_id' => $insert['storage_category_id'],
-        )
-      );
-
-    array_push(
-      $infos,
-      array(
-        'path' => $insert['path'],
-        'info' => l10n('added')
-        )
+    $infos[] = array(
+      'path' => $insert['path'],
+      'info' => l10n('added')
       );
 
@@ -588,7 +571,9 @@
   foreach (array_diff($db_elements, array_keys($fs)) as $path)
   {
-    array_push($to_delete_elements, array_search($path, $db_elements));
-    array_push($infos, array('path' => $path,
-                             'info' => l10n('deleted')));
+    $to_delete_elements[] = array_search($path, $db_elements);
+    $infos[] = array(
+      'path' => $path,
+      'info' => l10n('deleted')
+      );
   }
   if (count($to_delete_elements) > 0)
@@ -659,5 +644,5 @@
 
       $data['id']=$id;
-      array_push($datas, $data);
+      $datas[] = $data;
     } // end foreach file
 
@@ -740,5 +725,5 @@
       $data['date_metadata_update'] = CURRENT_DATE;
       $data['id']=$id;
-      array_push($datas, $data);
+      $datas[] = $data;
 
       foreach (array('keywords', 'tags') as $key)
@@ -753,8 +738,5 @@
           foreach (explode(',', $data[$key]) as $tag_name)
           {
-            array_push(
-              $tags_of[$id],
-              tag_id_from_tag_name($tag_name)
-              );
+            $tags_of[$id][] = tag_id_from_tag_name($tag_name);
           }
         }
@@ -763,5 +745,8 @@
     else
     {
-      array_push($errors, array('path' => $element_infos['path'], 'type' => 'PWG-ERROR-NO-FS'));
+      $errors[] = array(
+        'path' => $element_infos['path'],
+        'type' => 'PWG-ERROR-NO-FS'
+        );
     }
   }
Index: /trunk/admin/stats.php
===================================================================
--- /trunk/admin/stats.php	(revision 25017)
+++ /trunk/admin/stats.php	(revision 25018)
@@ -98,5 +98,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($output, $row);
+    $output[] = $row;
   }
 
@@ -227,5 +227,5 @@
     {
       $row['nb_pages'] += $need_update[$key];
-      array_push($updates, $row);
+      $updates[] = $row;
       unset($need_update[$key]);
     }
@@ -237,14 +237,11 @@
   $time_tokens = explode('-', $time_key);
 
-  array_push(
-      $inserts,
-      array(
-        'year'     => $time_tokens[0],
-        'month'    => @$time_tokens[1],
-        'day'      => @$time_tokens[2],
-        'hour'     => @$time_tokens[3],
-        'nb_pages' => $nb_pages,
-        )
-      );
+  $inserts[] = array(
+    'year'     => $time_tokens[0],
+    'month'    => @$time_tokens[1],
+    'day'      => @$time_tokens[2],
+    'hour'     => @$time_tokens[3],
+    'nb_pages' => $nb_pages,
+    );
 }
 
@@ -324,8 +321,5 @@
 $url = PHPWG_ROOT_PATH.'admin.php?page=stats';
 
-array_push(
-  $title_parts,
-  '<a href="'.$url.'">'.l10n('Overall').'</a>'
-  );
+$title_parts[] = '<a href="'.$url.'">'.l10n('Overall').'</a>';
 
 $period_label = l10n('Year');
@@ -335,8 +329,5 @@
   $url.= '&amp;year='.$page['year'];
 
-  array_push(
-    $title_parts,
-    '<a href="'.$url.'">'.$page['year'].'</a>'
-    );
+  $title_parts[] = '<a href="'.$url.'">'.$page['year'].'</a>';
 
   $period_label = l10n('Month');
@@ -347,8 +338,5 @@
   $url.= '&amp;month='.$page['month'];
 
-  array_push(
-    $title_parts,
-    '<a href="'.$url.'">'.$lang['month'][$page['month']].'</a>'
-    );
+  $title_parts[] = '<a href="'.$url.'">'.$lang['month'][$page['month']].'</a>';
 
   $period_label = l10n('Day');
@@ -367,8 +355,5 @@
     );
 
-  array_push(
-    $title_parts,
-    '<a href="'.$url.'">'.$day_title.'</a>'
-    );
+  $title_parts[] = '<a href="'.$url.'">'.$day_title.'</a>';
 
   $period_label = l10n('Hour');
Index: /trunk/admin/tags.php
===================================================================
--- /trunk/admin/tags.php	(revision 25017)
+++ /trunk/admin/tags.php	(revision 25018)
@@ -70,21 +70,12 @@
       if (in_array($tag_name, $existing_names))
       {
-        array_push(
-          $page['errors'],
-          l10n(
-            'Tag "%s" already exists',
-            $tag_name
-            )
-          );
+        $page['errors'][] = l10n('Tag "%s" already exists', $tag_name);
       }
       else if (!empty($tag_name))
       {
-        array_push(
-          $updates,
-          array(
-            'id' => $tag_id,
-            'name' => addslashes($tag_name),
-            'url_name' => trigger_event('render_tag_url', $tag_name),
-            )
+        $updates[] = array(
+          'id' => $tag_id,
+          'name' => addslashes($tag_name),
+          'url_name' => trigger_event('render_tag_url', $tag_name),
           );
       }
@@ -135,11 +126,5 @@
       if (in_array($tag_name, $existing_names))
       {
-        array_push(
-          $page['errors'],
-          l10n(
-            'Tag "%s" already exists',
-            $tag_name
-            )
-          );
+        $page['errors'][] = l10n('Tag "%s" already exists', $tag_name);
       }
       else if (!empty($tag_name))
@@ -172,10 +157,7 @@
         foreach ($destination_tag_image_ids as $image_id)
         {
-          array_push(
-            $inserts,
-            array(
-              'tag_id' => $destination_tag_id,
-              'image_id' => $image_id
-              )
+          $inserts[] = array(
+            'tag_id' => $destination_tag_id,
+            'image_id' => $image_id
             );
         }
@@ -189,11 +171,9 @@
             );
         }
-        array_push(
-          $page['infos'],
-          l10n(
-            'Tag "%s" is now a duplicate of "%s"',
-            stripslashes($tag_name),
-            $current_name_of[$tag_id]
-            )
+        
+        $page['infos'][] = l10n(
+          'Tag "%s" is now a duplicate of "%s"',
+          stripslashes($tag_name),
+          $current_name_of[$tag_id]
           );
       }
@@ -218,8 +198,5 @@
   if (!isset($_POST['destination_tag']))
   {
-    array_push(
-      $page['errors'],
-      l10n('No destination tag selected')
-      );
+    $page['errors'][] = l10n('No destination tag selected');
   }
   else
@@ -275,10 +252,7 @@
       foreach ($image_ids_to_link as $image_id)
       {
-        array_push(
-          $inserts,
-          array(
-            'tag_id' => $destination_tag_id,
-            'image_id' => $image_id
-            )
+        $inserts[] = array(
+          'tag_id' => $destination_tag_id,
+          'image_id' => $image_id
           );
       }
@@ -299,11 +273,8 @@
       }
 
-      array_push(
-        $page['infos'],
-        l10n(
-          'Tags <em>%s</em> merged into tag <em>%s</em>',
-          implode(', ', $tags_deleted),
-          $name_of_tag[$destination_tag_id]
-          )
+      $page['infos'][] = l10n(
+        'Tags <em>%s</em> merged into tag <em>%s</em>',
+        implode(', ', $tags_deleted),
+        $name_of_tag[$destination_tag_id]
         );
     }
@@ -327,12 +298,9 @@
   delete_tags($_POST['tags']);
 
-  array_push(
-    $page['infos'],
-    l10n_dec(
-      'The following tag was deleted',
-      'The %d following tags were deleted',
-      count($tag_names)).' : '.
-      implode(', ', $tag_names)
-    );
+  $page['infos'][] = l10n_dec(
+    'The following tag was deleted', 'The %d following tags were deleted',
+    count($tag_names)
+    )
+  .' : '.implode(', ', $tag_names);
 }
 
@@ -379,21 +347,9 @@
       );
 
-    array_push(
-      $page['infos'],
-      l10n(
-        'Tag "%s" was added',
-        stripslashes($tag_name)
-        )
-      );
+    $page['infos'][] = l10n('Tag "%s" was added', stripslashes($tag_name));
   }
   else
   {
-    array_push(
-      $page['errors'],
-      l10n(
-        'Tag "%s" already exists',
-        stripslashes($tag_name)
-        )
-      );
+    $page['errors'][] = l10n('Tag "%s" already exists', stripslashes($tag_name));
   }
 }
@@ -421,17 +377,14 @@
 foreach ($orphan_tags as $tag)
 {
-  array_push($orphan_tag_names, trigger_event('render_tag_name', $tag['name']));
+  $orphan_tag_names[] = trigger_event('render_tag_name', $tag['name']);
 }
 
 if (count($orphan_tag_names) > 0)
 {
-  array_push(
-    $page['warnings'],
-    sprintf(
-      l10n('You have %d orphan tags: %s.').' <a href="%s">'.l10n('Delete orphan tags').'</a>',
-      count($orphan_tag_names),
-      implode(', ', $orphan_tag_names),
-      get_root_url().'admin.php?page=tags&amp;action=delete_orphans&amp;pwg_token='.get_pwg_token()
-      )
+  $page['warnings'][] = sprintf(
+    l10n('You have %d orphan tags: %s.').' <a href="%s">'.l10n('Delete orphan tags').'</a>',
+    count($orphan_tag_names),
+    implode(', ', $orphan_tag_names),
+    get_root_url().'admin.php?page=tags&amp;action=delete_orphans&amp;pwg_token='.get_pwg_token()
     );
 }
Index: /trunk/admin/themes_installed.php
===================================================================
--- /trunk/admin/themes_installed.php	(revision 25017)
+++ /trunk/admin/themes_installed.php	(revision 25018)
@@ -63,5 +63,5 @@
 foreach ($db_themes as $db_theme)
 {
-  array_push($db_theme_ids, $db_theme['id']);
+  $db_theme_ids[] = $db_theme['id'];
 }
 
@@ -144,5 +144,5 @@
   }
   
-  array_push($tpl_themes, $tpl_theme);
+  $tpl_themes[] = $tpl_theme;
 }
 
Index: /trunk/admin/themes_new.php
===================================================================
--- /trunk/admin/themes_new.php	(revision 25017)
+++ /trunk/admin/themes_new.php	(revision 25018)
@@ -51,5 +51,5 @@
   if (!is_webmaster())
   {
-    array_push($page['errors'], l10n('Webmaster status is required.'));
+    $page['errors'][] = l10n('Webmaster status is required.');
   }
   else
@@ -76,26 +76,23 @@
   {
     case 'ok':
-      array_push(
-        $page['infos'],
-        l10n('Theme has been successfully installed')
-        );
+      $page['infos'][] = l10n('Theme has been successfully installed');
       break;
 
     case 'temp_path_error':
-      array_push($page['errors'], l10n('Can\'t create temporary file.'));
+      $page['errors'][] = l10n('Can\'t create temporary file.');
       break;
 
     case 'dl_archive_error':
-      array_push($page['errors'], l10n('Can\'t download archive.'));
+      $page['errors'][] = l10n('Can\'t download archive.');
       break;
 
     case 'archive_error':
-      array_push($page['errors'], l10n('Can\'t read or extract archive.'));
+      $page['errors'][] = l10n('Can\'t read or extract archive.');
       break;
 
     default:
-      array_push(
-        $page['errors'],
-        l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus']))
+      $page['errors'][] = l10n(
+        'An error occured during extraction (%s).',
+        htmlspecialchars($_GET['installstatus'])
         );
   }  
@@ -131,5 +128,5 @@
 else
 {
-  array_push($page['errors'], l10n('Can\'t connect to server.'));
+  $page['errors'][] = l10n('Can\'t connect to server.');
 }
 
Index: /trunk/admin/updates_ext.php
===================================================================
--- /trunk/admin/updates_ext.php	(revision 25017)
+++ /trunk/admin/updates_ext.php	(revision 25018)
@@ -33,6 +33,6 @@
 if (!$autoupdate->get_server_extensions())
 {
-  array_push($page['errors'], l10n('Can\'t connect to server.'));
-  return;
+  $page['errors'][] = l10n('Can\'t connect to server.');
+  return; // TODO: remove this return and add a proper "page killer"
 }
 
Index: /trunk/admin/updates_pwg.php
===================================================================
--- /trunk/admin/updates_pwg.php	(revision 25017)
+++ /trunk/admin/updates_pwg.php	(revision 25018)
@@ -150,5 +150,5 @@
 if (!is_webmaster())
 {
-  array_push($page['errors'], l10n('Webmaster status is required.'));
+  $page['errors'][] = l10n('Webmaster status is required.');
 }
 
Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 25017)
+++ /trunk/admin/user_list.php	(revision 25018)
@@ -120,5 +120,5 @@
     $user['groups'] = array();
 
-    array_push($users, $user);
+    $users[] = $user;
   }
 
@@ -141,8 +141,5 @@
     while ($row = pwg_db_fetch_assoc($result))
     {
-      array_push(
-        $users[$user_nums[$row['user_id']]]['groups'],
-        $row['group_id']
-        );
+      $users[ $user_nums[ $row['user_id'] ] ]['groups'][] = $row['group_id'];
     }
   }
@@ -192,17 +189,17 @@
     if(empty($_POST['password']))
     {
-      array_push($page['errors'], l10n('Password is missing. Please enter the password.'));
+      $page['errors'][] = l10n('Password is missing. Please enter the password.');
     }
     else if(empty($_POST['password_conf']))
     {
-      array_push($page['errors'], l10n('Password confirmation is missing. Please confirm the chosen password.'));
+      $page['errors'][] = l10n('Password confirmation is missing. Please confirm the chosen password.');
     }
     else if(empty($_POST['email']))
     {
-      array_push($page['errors'], l10n('Email address is missing. Please specify an email address.'));
+      $page['errors'][] = l10n('Email address is missing. Please specify an email address.');
     }
     else if ($_POST['password'] != $_POST['password_conf'])
     {
-      array_push($page['errors'], l10n('The passwords do not match'));
+      $page['errors'][] = l10n('The passwords do not match');
     }
     else
@@ -213,11 +210,5 @@
       if (count($page['errors']) == 0)
       {
-        array_push(
-          $page['infos'],
-          l10n(
-            'user "%s" added',
-            $_POST['login']
-          )
-        );
+        $page['infos'][] = l10n('user "%s" added', $_POST['login']);
       }
     }
@@ -233,11 +224,5 @@
     if (count($page['errors']) == 0)
     {
-      array_push(
-        $page['infos'],
-        l10n(
-          'user "%s" added',
-          stripslashes($_POST['login'])
-          )
-        );
+      $page['infos'][] = l10n('user "%s" added', stripslashes($_POST['login']));
     }
   }
@@ -296,5 +281,5 @@
       foreach($page['filtered_users'] as $local_user)
       {
-        array_push($collection, $local_user['id']);
+        $collection[] = $local_user['id'];
       }
       break;
@@ -312,5 +297,5 @@
   if (count($collection) == 0)
   {
-    array_push($page['errors'], l10n('Select at least one user'));
+    $page['errors'][] = l10n('Select at least one user');
   }
 }
@@ -323,18 +308,18 @@
   if (in_array($conf['guest_id'], $collection))
   {
-    array_push($page['errors'], l10n('Guest cannot be deleted'));
+    $page['errors'][] = l10n('Guest cannot be deleted');
   }
   if (($conf['guest_id'] != $conf['default_user_id']) and
       in_array($conf['default_user_id'], $collection))
   {
-    array_push($page['errors'], l10n('Default user cannot be deleted'));
+    $page['errors'][] = l10n('Default user cannot be deleted');
   }
   if (in_array($conf['webmaster_id'], $collection))
   {
-    array_push($page['errors'], l10n('Webmaster cannot be deleted'));
+    $page['errors'][] = l10n('Webmaster cannot be deleted');
   }
   if (in_array($user['id'], $collection))
   {
-    array_push($page['errors'], l10n('You cannot delete your account'));
+    $page['errors'][] = l10n('You cannot delete your account');
   }
 
@@ -347,11 +332,10 @@
         delete_user($user_id);
       }
-      array_push(
-        $page['infos'],
-        l10n_dec(
-          '%d user deleted', '%d users deleted',
-          count($collection)
-          )
+      
+      $page['infos'][] = l10n_dec(
+        '%d user deleted', '%d users deleted',
+        count($collection)
         );
+      
       foreach ($page['filtered_users'] as $filter_key => $filter_user)
       {
@@ -364,5 +348,5 @@
     else
     {
-      array_push($page['errors'], l10n('You need to confirm deletion'));
+      $page['errors'][] = l10n('You need to confirm deletion');
     }
   }
@@ -392,7 +376,8 @@
       foreach ($associable as $item)
       {
-        array_push($datas,
-                   array('group_id'=>$_POST['associate'],
-                         'user_id'=>$item));
+        $datas[] = array(
+          'group_id' => $_POST['associate'],
+          'user_id' => $item
+          );
       }
 
@@ -427,6 +412,6 @@
   if ($conf['activate_comments'])
   {
-    array_push($formfields, 'show_nb_comments');
-    array_push($true_false_fields, 'show_nb_comments');
+    $formfields[] = 'show_nb_comments';
+    $true_false_fields[] = 'show_nb_comments';
   }
 
@@ -445,5 +430,5 @@
     if ($_POST[$test] != 'leave')
     {
-      array_push($dbfields['update'], $formfield);
+      $dbfields['update'][] = $formfield;
     }
   }
@@ -481,5 +466,5 @@
           if (!in_array('level', $dbfields['update']))
           {
-            array_push($dbfields['update'], 'level');
+            $dbfields['update'][] = 'level';
           }
         }
@@ -508,5 +493,5 @@
       }
 
-      array_push($datas, $data);
+      $datas[] = $data;
     }
 
Index: /trunk/admin/user_perm.php
===================================================================
--- /trunk/admin/user_perm.php	(revision 25017)
+++ /trunk/admin/user_perm.php	(revision 25018)
@@ -120,6 +120,6 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($cats, $row);
-    array_push($group_authorized, $row['cat_id']);
+    $cats[] = $row;
+    $group_authorized[] = $row['cat_id'];
   }
   usort($cats, 'global_rank_compare');
@@ -153,5 +153,5 @@
 while ($row = pwg_db_fetch_assoc($result))
 {
-  array_push($authorized_ids, $row['id']);
+  $authorized_ids[] = $row['id'];
 }
 
Index: /trunk/comments.php
===================================================================
--- /trunk/comments.php	(revision 25017)
+++ /trunk/comments.php	(revision 25018)
@@ -447,6 +447,6 @@
 while ($row = pwg_db_fetch_assoc($result))
 {
-  array_push($comments, $row);
-  array_push($element_ids, $row['image_id']);
+  $comments[] = $row;
+  $element_ids[] = $row['image_id'];
 }
 
Index: /trunk/identification.php
===================================================================
--- /trunk/identification.php	(revision 25017)
+++ /trunk/identification.php	(revision 25018)
@@ -40,5 +40,5 @@
   if ( is_a_guest() )
   {
-    array_push($page['errors'], l10n('You are not authorized to access the requested page'));
+    $page['errors'][] = l10n('You are not authorized to access the requested page');
   }
 }
@@ -48,8 +48,5 @@
   if (!isset($_COOKIE[session_name()]))
   {
-    array_push(
-      $page['errors'],
-      l10n('Cookies are blocked or not supported by your browser. You must enable cookies to connect.')
-      );
+    $page['errors'][] = l10n('Cookies are blocked or not supported by your browser. You must enable cookies to connect.');
   }
   else
@@ -69,5 +66,5 @@
     else
     {
-      array_push($page['errors'], l10n('Invalid password!') );
+      $page['errors'][] = l10n('Invalid password!');
     }
   }
Index: /trunk/include/calendar_monthly.class.php
===================================================================
--- /trunk/include/calendar_monthly.class.php	(revision 25017)
+++ /trunk/include/calendar_monthly.class.php	(revision 25018)
@@ -389,5 +389,5 @@
       }
 
-      array_push( $wday_labels, array_shift($wday_labels) );
+      $wday_labels[] = array_shift($wday_labels);
     }
 
Index: /trunk/include/calendar_weekly.class.php
===================================================================
--- /trunk/include/calendar_weekly.class.php	(revision 25017)
+++ /trunk/include/calendar_weekly.class.php	(revision 25018)
@@ -69,6 +69,5 @@
       $this->calendar_levels[CWEEK]['sql'] = pwg_db_get_week($this->date_field, 5).'+1';
       $this->calendar_levels[CDAY]['sql'] = pwg_db_get_weekday($this->date_field);
-      array_push( $this->calendar_levels[CDAY]['labels'],
-                  array_shift( $this->calendar_levels[CDAY]['labels'] ) );
+      $this->calendar_levels[CDAY]['labels'][] = array_shift($this->calendar_levels[CDAY]['labels']);
     }
   }
Index: /trunk/include/category_cats.inc.php
===================================================================
--- /trunk/include/category_cats.inc.php	(revision 25017)
+++ /trunk/include/category_cats.inc.php	(revision 25018)
@@ -208,5 +208,5 @@
           if (isset($image_id) and !in_array($image_id, $image_ids))
           {
-            array_push($new_image_ids, $image_id);
+            $new_image_ids[] = $image_id;
           }
 
